Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004142Doomseeker[All Projects] Suggestionpublic2023-06-25 13:432023-07-26 21:23
ReporterZalewa 
Assigned ToZalewa 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version1.5.0Fixed in Version1.5.0 
Summary0004142: Support the Zandronum's segmented server query response
DescriptionZandroum is about to gain support for segmented server query response which should help with the response packets going into the jumbo category and getting dropped by the network equipment as a result.

See:'https://wiki.zandronum.com/Launcher_protocol#Segmented_challenge [^]'

Important: The default description points to a backward-incompatible query challenge that changes the packet tag to 200. We don't want that because it will break all previous Zandronum versions and handling this properly would be too convoluted. Keep using the challenge packet with tag 199, but only append the segmentation byte as described further down on the page in the'https://wiki.zandronum.com/Launcher_protocol#Old_protocol_challenge [^]' section.
Additional InformationSee 0004064 for details.
Attached Files

- Relationships
related to 0004064resolvedDrinkyBird Zandronum Trouble with big UDP packets in launcher query responses from game servers 
parent of 0004147needs reviewZalewa Doomseeker Enable the Zandronum segmented server query by default 
Not all the children of this issue are yet resolved or closed.

-  Notes
User avatar (0022892)
Zalewa (developer)
2023-07-23 18:13

Implement the segmented server query in a backwards-compatible way:
-'https://bitbucket.org/Doomseeker/doomseeker/commits/ffda69dc439a4bcb539c0aee120968d75a4e9ded [^]'

And add an opt-in option for it:
-'https://bitbucket.org/Doomseeker/doomseeker/commits/ec453de441bfe38f27c3b0c63506938c45968413 [^]'

I have decided to make this an opt-in only for a short while. The option will stay for now, at most as long as Zandronum itself supports the single packet reply, but it needs to be made enabled by default sooner than that -- in the next release of Doomseeker (or even before that). I will open a separate ticket for making the option enabled by default.
User avatar (0022893)
Zalewa (developer)
2023-07-23 18:17

Option default -> 0004147.
User avatar (0022894)
Zalewa (developer)
2023-07-23 22:40

Fixes:
1.'https://bitbucket.org/Doomseeker/doomseeker/commits/ae38a9552198243fd9b6e66cccba0bff59fcb882 [^]'
2.'https://bitbucket.org/Doomseeker/doomseeker/commits/c39aa329203fa6953d7e2acf65875f25d11134a0 [^]'
3.'https://bitbucket.org/Doomseeker/doomseeker/commits/5ee17c7d4252a9f0cc400b757c96cccaac976efc [^]'
User avatar (0022895)
Zalewa (developer)
2023-07-25 19:29

Ready for testing:'https://devbuilds.drdteam.org/doomseeker/doomseeker-1.4.1~beta-230723-2106_windows.zip [^]'
User avatar (0022896)
Zalewa (developer)
2023-07-26 21:23

This issue is confirmed by Iko and Kaminsky on Discord as fixed.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2023-06-25 13:43 Zalewa New Issue
2023-06-25 13:43 Zalewa Relationship added related to 0004064
2023-06-25 13:46 Zalewa Description Updated View Revisions
2023-06-25 13:46 Zalewa Status new => confirmed
2023-07-22 12:31 Zalewa Assigned To => Zalewa
2023-07-22 12:31 Zalewa Status confirmed => assigned
2023-07-23 18:13 Zalewa Note Added: 0022892
2023-07-23 18:13 Zalewa Status assigned => needs review
2023-07-23 18:17 Zalewa Relationship added parent of 0004147
2023-07-23 18:17 Zalewa Note Added: 0022893
2023-07-23 22:40 Zalewa Note Added: 0022894
2023-07-25 19:29 Zalewa Note Added: 0022895
2023-07-25 19:29 Zalewa Status needs review => needs testing
2023-07-26 21:23 Zalewa Note Added: 0022896
2023-07-26 21:23 Zalewa Status needs testing => resolved
2023-07-26 21:23 Zalewa Fixed in Version => 1.5.0
2023-07-26 21:23 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2024 MantisBT Team
Powered by Mantis Bugtracker